Name:           scim-tomoe
Version:        0.2.0
Release:        3%{?dist}
Summary:        Tomoe module for SCIM for Japanese handwritten input

Group:          System Environment/Libraries
License:        GPL
URL:            http://scim-imengine.sourceforge.jp/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: scim-tomoe-moduledir.patch

Requires:		scim
BuildRequires:	scim-devel, tomoe-devel, libtomoe-gtk-devel

%description
Scim-tomoe allows Japanese handwritten input of characters using SCIM.


%prep
%setup -q
%patch0 -p0


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/Helper/tomoe.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/scim-1.0/*/Helper/tomoe.so
%{_datadir}/scim/icons/scim-tomoe.png


%changelog
* Wed Mar  1 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2-3
- update to 0.2

* Fri Oct  7 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1-2
- add scim into the requirement

* Wed Aug 31 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.1-1
- update to 0.1

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 0.0.0-0.20050817
- initial packaging of cvs snapshot
